# we might write something to /tmp, no need to write to flash
# FIXME: doesn't seem to work, tmpfs broken in Wiz kernel?
-if ! grep -q '/tmp' /proc/mounts; then
- mount -t tmpfs none /tmp
-fi
+#if ! grep -q '/tmp' /proc/mounts; then
+# mount -t tmpfs none /tmp
+#fi
# theoretically GP2X apps can make use of more RAM, because
# Wiz has 2.6 kernel (larger memory requirements) and larger
./gp2xmenu --view-game
#swapoff swapfile
-umount /tmp
+#umount /tmp
/sbin/rmmod warm 2> /dev/null
cd /usr/gp2x/
--- /dev/null
+#!/bin/sh
+
+set -e
+
+outc=out_caanoo
+export out=${outc}/ginge
+# all same as wiz, except menu
+export tag=_wiz
+
+rm -rf ${out}
+dist/make_cmn.sh
+cp gp2xmenu/gp2xmenu_caanoo ${out}/gp2xmenu
+mkdir -p ${out}/tools ${out}/lib
+cp dist/ginge.gpe ${out}/
+cp dist/ginge.ini ${outc}/
+cp dist/ginge26.png ${out}/ginge.png
+cp dist/ginge_banner.png ${out}/
+cp dist/ginge_dyn_eabi.sh ${out}/ginge_dyn.sh
+cp tools/cramfsck_eabi ${out}/tools/cramfsck
+cp tools/warm_2.6.24.ko ${out}/tools/
+cp -r lib ${out}/
+
+cd ${outc}/
+rm ../ginge_caanoo.zip 2> /dev/null || true
+zip -9r ../ginge_caanoo.zip *
+
\r
GINGE - Ginge Is Not GP2X Emulator\r
-release 3\r
+release 4\r
\r
-(C) notaz, 2010\r
+(C) notaz, 2010-2011\r
http://notaz.gp2x.de/\r
\r
\r
\r
Ginge is an application that can run many GP2X F100/F200, Wiz games and\r
programs on other ARM Linux platforms, which currently includes Pandora\r
-and Wiz itself. It is not a full hardware emulator like MAME, PicoDrive or\r
-similar, it does not emulate the CPU. It can be considered as compatibility\r
+Caanoo and Wiz itself. It is not a full hardware emulator like MAME, PicoDrive\r
+or similar, it does not emulate the CPU. It can be considered as compatibility\r
layer similar to Wine on PC Linux, however it does emulate small portion of\r
MMSP2 and Pollux system-on-chips. It operates by hooking certain system calls\r
and using realtime patching of code that accesses memory mapped hardware\r
compatible, or just return back to the menu if it is not. In some cases it\r
might hang though.\r
\r
-Keys are mapped to corresponding keys on both pandora and Wiz, except:\r
+Keys are mapped to corresponding keys pandora, Wiz and Caanoo , except:\r
\r
-Key Pandora Wiz\r
-Stick Push 1 unmapped\r
-Volume up/down '.', ',' Volume up/down\r
+Key Pandora Wiz Caanoo\r
+Stick Push 1 unmapped Stick Push\r
+Volume up/down '.', ',' Volume up/down Home+I/Home+II\r
\r
On pandora pressing 'q' will exit the menu or try to kill current application.\r
+On Cannoo Home+Y tries to kill current application.\r
\r
\r
Structure\r
Changelog\r
---------\r
\r
+r4\r
++ ginge now runs on Caanoo\r
+* minor fixes in path handling\r
+\r
r3\r
* improved exec handling, mostly for gpecomp.\r
+ added preliminary Wiz support, pcsx4all works.\r
* The program in any of it's forms is not sold or used as part of any\r
commercial package, including pre-installed or included in any kind of\r
portable device.\r
- * It is not bundled and distributed with any GP2X program without respective\r
- program's author's permission.\r
+ * It is not bundled and distributed with any GP2X or Wiz program without\r
+ respective program's author's permission.\r
\r
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND\r
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\r